# Uses of Interface
org.eclipse.ecf.filetransfer.IOutgoingFileTransfer

Packages that use IOutgoingFileTransfer
Package
Description
org.eclipse.ecf.filetransfer.events
org.eclipse.ecf.provider.filetransfer.outgoing

## Uses of IOutgoingFileTransfer in org.eclipse.ecf.filetransfer.events

Methods in org.eclipse.ecf.filetransfer.events that return IOutgoingFileTransfer
Modifier and Type
Method
Description
`IOutgoingFileTransfer`
IOutgoingFileTransferEvent.`getSource()`
Get `IOutgoingFileTransfer` source associated with this event

## Uses of IOutgoingFileTransfer in org.eclipse.ecf.provider.filetransfer.outgoing

Classes in org.eclipse.ecf.provider.filetransfer.outgoing that implement IOutgoingFileTransfer
Modifier and Type
Class
Description
`class`
`AbstractOutgoingFileTransfer`
`class`
`AbstractUrlConnectionOutgoingFileTransfer`
`class`
`LocalFileOutgoingFileTransfer`